Bug 522116 - Viewport is of for fullscreen applications.
Summary: Viewport is of for fullscreen applications.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 14:10 UTC by Hans de Goede
Modified: 2018-04-11 12:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-02-26 13:44:11 UTC


Attachments (Terms of Use)

Description Hans de Goede 2009-09-09 14:10:57 UTC
Fullscreen apllications using a different resolution then the desktop (often games) have some viewport issues.  If I move the mouse to the top left of the screen, before starting the app is all fine, but if it is in the bottom left, the viewport is of, the applications are making XF86VidModeSetViewPort() calls, but these seem to be failing.

This happens with allegro and ClanLib Game SDK using apps, SDL using apps are fine (I guess SDL does a warp pointer first). I checked no irc with ajax and he said this is a bug in X (it used to work), in the mean time I'll work (as time permits) on patching the other toolkits to do a warp pointer before their set viewport as workaround.

Note I hit this on this system:
http://www.smolts.org/client/show/pub_f0eaeaa8-2656-4abe-b120-c35b74aade75

While using the Radeon test day images. I tested with
machineball (allegro), methane (ClanLib) and ballbuster (ClanLib)

Comment 1 Hans de Goede 2009-09-10 20:43:31 UTC
I've just implemented a workaround for this in allegro and alleggl. The weird / interesting thing I've found out is that XF86VidModeSetViewPort() does not
seem to work at all. Even if I position the mouse inside where the new viewport should be, it is not working.

The viewport gets positioned so that the mouse is centered in it at
XF86VidModeSwitchToMode() call time, and later XF86VidModeSetViewPort()
calls seem to have no effect, even if the mouse is within the newly
requested viewport.

Comment 2 Hans de Goede 2009-09-10 20:43:59 UTC
p.s. this might be a radeon specific issue.

Comment 3 Matěj Cepl 2009-11-05 17:15:10 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 4 Hans de Goede 2009-11-16 10:47:22 UTC
I can no longer reproduce this on my main workstation, but this appears to be hardware specific, so I want to test on another of couple machines too. So I'm not closing this yet, please leave it open till I'm done testing.

Comment 5 Bug Zapper 2009-11-16 12:06:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Matěj Cepl 2010-02-26 12:20:33 UTC
Could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Note please, that this is machine generated comment for large amount of bugs; due to some technical issues, it is possible we've missed some of the responses -- it is happens, please, just a make a comment about that; that we will see. Thank you]

Comment 7 Matěj Cepl 2010-02-26 12:29:37 UTC
Reporter, could you please reply to the previous question? If you won't reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[Notice, that this is an automatically filed comment for all bugs with hanging NEEDINFO for longer time; it is possible by quirks of bugzilla, that some bugs are in this state even though you have attached the required information; please, make a comment to this bug ... that we should see correctly; I am sorry for the bothering you in such case.]

Comment 8 Hans de Goede 2010-02-26 13:44:11 UTC
I've not seen this issue in a while, so I'm closing this.


Note You need to log in before you can comment on or make changes to this bug.